CustomMarshal (Java Platform SE 8 )
Keywords: org.omg.CORBA.CustomMarshal interface
Date: 2020-03-26

org.omg.CORBA

## Interface CustomMarshal

- All Known Subinterfaces:
    CustomValue

      public interface CustomMarshal

  An abstract value type that is meant to be used by the ORB, not the user. Semantically it is treated as a custom value type's implicit base class, although the custom valuetype does not actually inherit it in IDL. The implementer of a custom value type shall provide an implementation of the `CustomMarshal` operations. The manner in which this is done is specified in the IDL to Java langauge mapping. Each custom marshaled value type shall have its own implementation.
  See Also:
    `DataInputStream`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `marshal(DataOutputStream os)` Marshal method has to be implemented by the Customized Marshal class.
    `void` | `unmarshal(DataInputStream is)` Unmarshal method has to be implemented by the Customized Marshal class.

- - ### Method Detail

    - #### marshal

          void marshal(DataOutputStream os)

      Marshal method has to be implemented by the Customized Marshal class. This is the method invoked for Marshalling.
      Parameters:
        `os` - a DataOutputStream

    - #### unmarshal

          void unmarshal(DataInputStream is)

      Unmarshal method has to be implemented by the Customized Marshal class. This is the method invoked for Unmarshalling.
      Parameters:
        `is` - a DataInputStream

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.